io.vertx.rxjava.ext.web.handler

## Class VirtualHostHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.VirtualHostHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class VirtualHostHandler
      extends Object
      implements Handler<RoutingContext>

  Handler that will filter requests based on the request Host name.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<VirtualHostHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualHostHandler(VirtualHostHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VirtualHostHandler` | `create(String hostname, Handler<RoutingContext> handler)` Create a handler
    `VirtualHostHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static VirtualHostHandler` | `newInstance(VirtualHostHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<VirtualHostHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### VirtualHostHandler

          public VirtualHostHandler(VirtualHostHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public VirtualHostHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static VirtualHostHandler create(String hostname,
                                                  Handler<RoutingContext> handler)

      Create a handler
      Parameters:
        `hostname` -
        `handler` -
      Returns:
        the handler

    - #### newInstance

          public static VirtualHostHandler newInstance(VirtualHostHandler arg)

Copyright © 2017. All rights reserved.